#include "processing.h"

Processing::Processing(/* args */)
{
}

Processing::~Processing()
{
}

void Processing::processImage(Mat& inputPicture, int thresholdValue, int gaussKernelSize)
{
    //Idea here is: Processing module consists of two methods:
    // One (this) to do all kinds of stuff to the picture (grayscale conversion, threshold, gauss etc etc)
    // And one (the other one) to segment the lines.
    // No return value here as the input is passed by reference -> directly modified.
    cvtColor(inputPicture, inputPicture, COLOR_BGR2GRAY);
    threshold(inputPicture, inputPicture, thresholdValue, 255, THRESH_BINARY);
    GaussianBlur(inputPicture, inputPicture, Size(gaussKernelSize, gaussKernelSize), 0);
}

std::vector<LFRLine> Processing::calculateLineSegments(const Mat& inputPicture)
{
    //https://stackoverflow.com/questions/45322630/how-to-detect-lines-in-opencv
    return std::vector<LFRLine>();
}
